Information Query
curl --request POST \
--url https://{host}/Agent/Xmpp/InformationQuery \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to": "<string>",
"type": "<string>",
"xml": {}
}
'import requests
url = "https://{host}/Agent/Xmpp/InformationQuery"
payload = {
"to": "<string>",
"type": "<string>",
"xml": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({to: '<string>', type: '<string>', xml: {}})
};
fetch('https://{host}/Agent/Xmpp/InformationQuery', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"errorCode": 123,
"errorText": "<string>",
"errorType": "<string>",
"ErrorElement": {},
"Stanza": {}
}XMPP messaging
Information Query
Sends an Information Query (iq) to an entity on the XMPP network, given its Full JID.
POST
/
Agent
/
Xmpp
/
InformationQuery
Information Query
Overview
Sends an Information Query (iq) to an entity on the XMPP network, given its Full JID. For connected entities, you need to have an presence subscription to that entity, approved by the entity, to get the Full JID. You get the Full JID using the Presence Probe resource.Authentication
Requires a valid JWT bearer token.Notes
This endpoint uses the request schema notation described in Pattern matching.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I